# algorithms.utils.fast_distance

## Module: `algorithms.utils.fast_distance`

this module contains a function to perform fast distance computation on arrays

Author : Bertrand Thirion, 2008-2011

nipy.algorithms.utils.fast_distance.euclidean_distance(X, Y=None)

  Considering the rows of X (and Y=X) as vectors, compute the distance matrix between each pair of vectors

  Parameters:
    X, array of shape (n1,p)
    Y=None, array of shape (n2,p)

      if Y==None, then Y=X is used instead

  Returns:
    ED, array of shape(n1, n2) with all the pairwise distance